POST
/pdf-exportQueue a page PDF export
Returns a file task. Poll /pdf-export/status until it reports success, then use the returned exportUrl.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
pageIdstringrequired
Page identifier (UUID or slug ID).
200Queued export task
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Forbidden, or pDF export not included in the current licence
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Page not found
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned: Forbidden, or pDF export not included in the current licence. A 404 is returned: Page not found.